epp_DomainStatusType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.domain.epp_DomainStatusType class

### org.openrtk.idl.epp02.domain

# Class epp_DomainStatusType

- `java.lang.Object`
- - `org.openrtk.idl.epp02.domain.epp_DomainStatusType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainStatusType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/domain/epp_DomainStatusType.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_domain.idl Thursday, July 26, 2001 6:26:06 PM EDT

  ## Field Summary
  `static epp_DomainStatusType` | `ACTIVE`
  `static epp_DomainStatusType` | `CLIENT_HOLD`
  `static epp_DomainStatusType` | `CLIENT_LOCK`
  `static epp_DomainStatusType` | `CLIENT_TRANSFER_PROHIBITED`
  `static epp_DomainStatusType` | `HOLD`
  `static epp_DomainStatusType` | `INACTIVE`
  `static epp_DomainStatusType` | `LOCK`
  `static epp_DomainStatusType` | `NEW`
  `static epp_DomainStatusType` | `OK`
  `static epp_DomainStatusType` | `PENDING_DELETE`
  `static epp_DomainStatusType` | `PENDING_TRANSFER`
  `static epp_DomainStatusType` | `PENDING_VERIFICATION`
  `static int` | `_ACTIVE`
  `static int` | `_CLIENT_HOLD`
  `static int` | `_CLIENT_LOCK`
  `static int` | `_CLIENT_TRANSFER_PROHIBITED`
  `static int` | `_HOLD`
  `static int` | `_INACTIVE`
  `static int` | `_LOCK`
  `static int` | `_NEW`
  `static int` | `_OK`
  `static int` | `_PENDING_DELETE`
  `static int` | `_PENDING_TRANSFER`
  `static int` | `_PENDING_VERIFICATION`

  ## Constructor Summary
  `epp_DomainStatusType(int value)`

  ## Method Summary
  `static epp_DomainStatusType` | `from_int(int value)`
  `int` | `value()`

## Field Details

### ACTIVE

    public static final epp_DomainStatusType ACTIVE

### CLIENT_HOLD

    public static final epp_DomainStatusType CLIENT_HOLD

### CLIENT_LOCK

    public static final epp_DomainStatusType CLIENT_LOCK

### CLIENT_TRANSFER_PROHIBITED

    public static final epp_DomainStatusType CLIENT_TRANSFER_PROHIBITED

### HOLD

    public static final epp_DomainStatusType HOLD

### INACTIVE

    public static final epp_DomainStatusType INACTIVE

### LOCK

    public static final epp_DomainStatusType LOCK

### NEW

    public static final epp_DomainStatusType NEW

### OK

    public static final epp_DomainStatusType OK

### PENDING_DELETE

    public static final epp_DomainStatusType PENDING_DELETE

### PENDING_TRANSFER

    public static final epp_DomainStatusType PENDING_TRANSFER

### PENDING_VERIFICATION

    public static final epp_DomainStatusType PENDING_VERIFICATION

### _ACTIVE

    public static final int _ACTIVE

> Field Value:
>   11

### _CLIENT_HOLD

    public static final int _CLIENT_HOLD

> Field Value:
>   8

### _CLIENT_LOCK

    public static final int _CLIENT_LOCK

> Field Value:
>   9

### _CLIENT_TRANSFER_PROHIBITED

    public static final int _CLIENT_TRANSFER_PROHIBITED

> Field Value:
>   10

### _HOLD

    public static final int _HOLD

> Field Value:
>   0

### _INACTIVE

    public static final int _INACTIVE

> Field Value:
>   1

### _LOCK

    public static final int _LOCK

> Field Value:
>   2

### _NEW

    public static final int _NEW

> Field Value:
>   3

### _OK

    public static final int _OK

> Field Value:
>   4

### _PENDING_DELETE

    public static final int _PENDING_DELETE

> Field Value:
>   5

### _PENDING_TRANSFER

    public static final int _PENDING_TRANSFER

> Field Value:
>   6

### _PENDING_VERIFICATION

    public static final int _PENDING_VERIFICATION

> Field Value:
>   7

## Constructor Details

### epp_DomainStatusType

    protected epp_DomainStatusType(int value)

## Method Details

### from_int

    public static epp_DomainStatusType from_int(int value)

### value

    public int value()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS